### Method

# Gimp Drawable set_pixel

#### Declaration [src]

    gboolean
    gimp_drawable_set_pixel (
      GimpDrawable* drawable,
      gint x_coord,
      gint y_coord,
      gint num_channels,
      const guint8* pixel
    )

#### Description [src]

Sets the value of the pixel at the specified coordinates.

This procedure sets the pixel value at the specified coordinates. The ‘num_channels’ argument must always be equal to the bytes-per-pixel value for the specified drawable. Note that this function is not undoable, you should use it only on drawables you just created yourself.

#### Parameters

`x_coord` | `gint`
| The x coordinate.
`y_coord` | `gint`
| The y coordinate.
`num_channels` | `gint`
| The number of channels for the pixel.
`pixel` | An array of `guint8`
| The pixel value.
| The length of the array is specified in the `num_channels` argument.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| TRUE on success.